Market Data Schema

Data dictionary and schema for the market data responses.

This page contains a data dictionary and a description of all response fields for our market data endpoint (/markets).

 

Market Statistics Response Fields

The following response fields will be returned by the market statistics endpoint ( /markets):

Response FieldDescriptionExample Value
id

Zip Code Id
Data type: String

The zip code id, as a 5-digit number

"29611"
zipCode

Zip Code Name
Data type: String

The zip code name, as a 5-digit number

"29611"
saleData

Sale Data
Data type: Object

A field containing aggregate sale market statistics and property price trends for this zip code

{ ... }
saleData
.lastUpdatedDate

Sale Data - Date Last Updated
Data type: Date

The date sale market statistics were last updated for this zip code, in ISO 8601 format

"2025-08-26T00:00:00.000Z"
saleData[...]

Sale Data - Statistics Fields
Data type: Number

A set of sale market statistics fields for all properties in this zip code. See explanation of sale statistics fields for more information

See examples in the following section
saleData
.dataByPropertyType

Sale Data - Data by Property Type
Data type: Array

A list of sale market statistics broken down and grouped by property type

[ ... ]
saleData
.dataByPropertyType[]
.propertyType

Sale Data by Property Type - Property Type
Data type: String (Enum)

The type of property for each group. See explanation of property types for possible values

"Condo"
saleData
.dataByPropertyType[]
[...]

Sale Data by Property Type - Statistics Fields
Data type: Number

A set of sale market statistics fields for each property type. See explanation of sale statistics fields for more information

See examples in the following section
saleData
.dataByBedrooms

Sale Data - Data by Bedroom
Data type: Array

A list of sale market statistics broken down and grouped by the number of bedrooms

[ ... ]
saleData
.dataByBedrooms[]
.bedrooms

Sale Data by Bedroom - Number of Bedrooms
Data type: Number

The number of bedrooms for each group, with a value of 0 indicating a studio layout

1
saleData
.dataByBedrooms[]
[...]

Sale Data by Bedroom - Statistics Fields
Data type: Number

A set of sale market statistics fields for each number of bedrooms. See explanation of sale statistics fields for more information

See examples in the following section
saleData.history

Sale Data - History
Data type: Object

A list of monthly historical sale market statistics entries for this zip code, with JSON keys indicating the entry year and month, in the format YYYY-MM

{ "2025-06": { ... } }
saleData
.history[YYYY-MM]

Sale Data - History Entry
Data type: Object

A single historical entry, with sale market statistics for a specific past month

{ ... }
saleData
.history[YYYY-MM]
.date

Sale Data History Entry - Date
Data type: Date

The date of the first day of the month for this history entry, in ISO 8601 format

"2025-06-01T00:00:00.000Z"
saleData
.history[YYYY-MM]
[...]

Sale Data History Entry - Statistics Fields
Data type: Varies

A set of historical sale market statistics fields, including statistics for all properties in this zip code, as well as statistics broken down and grouped by property type and number of bedrooms. See explanation of sale statistics fields for more information

See examples in the following section
rentalData

Rental Data
Data type: Object

A field containing aggregate rental market statistics and property rent trends for this zip code

{ ... }
rentalData
.lastUpdatedDate

Rental Data - Date Last Updated
Data type: Date

The date rental market statistics were last updated for this zip code, in ISO 8601 format

"2025-08-26T00:00:00.000Z"
rentalData[...]

Rental Data - Statistics Fields
Data type: Number

A set of rental market statistics fields for all properties in this zip code. See explanation of rental statistics fields for more information

See examples in the following section
rentalData
.dataByPropertyType

Rental Data - Data by Property Type
Data type: Array

A list of rental market statistics broken down and grouped by property type

[ ... ]
rentalData
.dataByPropertyType[]
.propertyType

Rental Data by Property Type - Property Type
Data type: String (Enum)

The type of property for each group. See explanation of property types for possible values

"Apartment"
rentalData
.dataByPropertyType[]
[...]

Rental Data by Property Type - Statistics Fields
Data type: Number

A set of rental market statistics fields for each property type. See explanation of rental statistics fields for more information

See examples in the following section
rentalData
.dataByBedrooms

Rental Data - Data by Bedroom
Data type: Array

A list of rental market statistics broken down and grouped by the number of bedrooms

[ ... ]
rentalData
.dataByBedrooms[]
.bedrooms

Rental Data by Bedroom - Number of Bedrooms
Data type: Number

The number of bedrooms for each group, with a value of 0 indicating a studio layout

1
rentalData
.dataByBedrooms[]
[...]

Rental Data by Bedroom - Statistics Fields
Data type: Number

A set of rental market statistics fields for each number of bedrooms. See explanation of rental statistics fields for more information

See examples in the following section
rentalData.history

Rental Data - History
Data type: Object

A list of monthly historical rental market statistics entries for this zip code, with JSON keys indicating the entry year and month, in the format YYYY-MM

{ "2025-06": { ... } }
rentalData
.history[YYYY-MM]

Rental Data - History Entry
Data type: Object

A single historical entry, with rental market statistics for a specific past month

{ ... }
rentalData
.history[YYYY-MM]
.date

Rental Data History Entry - Date
Data type: Date

The date of the first day of the month for this history entry, in ISO 8601 format

"2025-06-01T00:00:00.000Z"
rentalData
.history[YYYY-MM]
[...]

Rental Data History Entry - Statistics Fields
Data type: Varies

A set of historical rental market statistics fields, including statistics for all properties in this zip code, as well as statistics broken down and grouped by property type and number of bedrooms. See explanation of rental statistics fields for more information

See examples in the following section
 

Sale Statistics Fields

The following is a standard set of sale market statistics fields returned within the saleData field of the market data responses.

These statistical fields are calculated based on active sale listings in a given zip code. Each response will provide these fields for the following group types:

  • No grouping: statistics fields at the top level of the saleData field are calculated based on all sale listings in the zip code
  • Grouped by property type: statistics fields within the dataByPropertyType field are broken down and grouped by the property type of each listing. A separate set of statistics will be returned for each unique property type in the zip code
  • Grouped by property size: statistics fields within the dataByBedrooms field are broken down and grouped by the number of bedrooms of each listing. A separate set of statistics will be provided for each unique bedroom count in the zip code

In addition to sale market statistics for the current month, returned at the top level of the saleData field, the response will contain historical market statistics at monthly intervals in the saleData.history field.

Historical data will include sale market statistics for all properties in the zip code, as well as statistics broken down and grouped by property type and the number of bedrooms.

📘

Historical sale market statistics are available from January 2024. Note, there may be gaps in the historical data when there were not enough listings to generate statistically significant averages.

Response FieldDescriptionExample Value
averagePrice

Average Price
Data type: Number

The average sale price of all sale listings in the current group

291933
medianPrice

Median Price
Data type: Number

The median sale price of all sale listings in the current group

276990
minPrice

Minimum Price
Data type: Number

The minimum sale price of all sale listings in the current group

20000
maxPrice

Maximum Price
Data type: Number

The maximum sale price of all sale listings in the current group

1500000
averagePricePerSquareFoot

Average Price Per Sq.Ft.
Data type: Number

The average sale price per square foot of living area of all sale listings in the current group

186.53
medianPricePerSquareFoot

Median Price Per Sq.Ft.
Data type: Number

The median sale price per square foot of living area of all sale listings in the current group

178
minPricePerSquareFoot

Minimum Price Per Sq.Ft.
Data type: Number

The minimum sale price per square foot of living area of all sale listings in the current group

64.9
maxPricePerSquareFoot

Maximum Price Per Sq.Ft.
Data type: Number

The maximum sale price per square foot of living area of all sale listings in the current group

500
averageSquareFootage

Average Living Area (Sq.Ft.)
Data type: Number

The average indoor living area of all sale listings in the current group, in square feet

1698
medianSquareFootage

Median Living Area (Sq.Ft.)
Data type: Number

The median indoor living area of all sale listings in the current group, in square feet

1600
minSquareFootage

Minimum Living Area (Sq.Ft.)
Data type: Number

The minimum indoor living area of all sale listings in the current group, in square feet

610
maxSquareFootage

Maximum Living Area (Sq.Ft.)
Data type: Number

The maximum indoor living area of all sale listings in the current group, in square feet

4588
averageDaysOnMarket

Average Days on Market
Data type: Number

The average number of days sale listings in the current group have been active

67.21
medianDaysOnMarket

Median Days on Market
Data type: Number

The median number of days sale listings in the current group have been active

45
minDaysOnMarket

Minimum Days on Market
Data type: Number

The minimum number of days sale listings in the current group have been active

2
maxDaysOnMarket

Maximum Days on Market
Data type: Number

The maximum number of days sale listings in the current group have been active

348
newListings

Number of New Listings
Data type: Number

The number of active sale listings in the current group that have been added in a given month

21
totalListings

Number of Total Listings
Data type: Number

The total number of sale listings in the current group that have been active at any point in a given month

265
 

Rental Statistics Fields

The following is a standard set of rental market statistics fields returned within the rentalData field of the market data responses.

These statistical fields are calculated based on active rental listings in a given zip code. Each response will provide these fields for the following group types:

  • No grouping: statistics fields at the top level of the rentalData field are calculated based on all rental listings in the zip code
  • Grouped by property type: statistics fields within the dataByPropertyType field are broken down and grouped by the property type of each listing. A separate set of statistics will be returned for each unique property type in the zip code
  • Grouped by property size: statistics fields within the dataByBedrooms field are broken down and grouped by the number of bedrooms of each listing. A separate set of statistics will be provided for each unique bedroom count in the zip code

In addition to rental market statistics for the current month, returned at the top level of the rentalData field, the response will contain historical market statistics at monthly intervals in the rentalData.history field.

Historical data will include rental market statistics for all properties in the zip code, as well as statistics broken down and grouped by property type and the number of bedrooms.

📘

Historical rental market statistics are available from April 2020. Note, there may be gaps in the historical data when there were not enough listings to generate statistically significant averages.

Response FieldDescriptionExample Value
averageRent

Average Rent
Data type: Number

The average rental rate of all rental listings in the current group

1521
medianRent

Median Rent
Data type: Number

The median rental rate of all rental listings in the current group

1495
minRent

Minimum Rent
Data type: Number

The minimum rental rate of all rental listings in the current group

750
maxRent

Maximum Rent
Data type: Number

The maximum rental rate of all rental listings in the current group

2700
averageRentPerSquareFoot

Average Rent Per Sq.Ft.
Data type: Number

The average rental rate per square foot of living area of all rental listings in the current group

1.38
medianRentPerSquareFoot

Median Rent Per Sq.Ft.
Data type: Number

The median rental rate per square foot of living area of all rental listings in the current group

1.3
minRentPerSquareFoot

Minimum Rent Per Sq.Ft.
Data type: Number

The minimum rental rate per square foot of living area of all rental listings in the current group

0.86
maxRentPerSquareFoot

Maximum Rent Per Sq.Ft.
Data type: Number

The maximum rental rate per square foot of living area of all rental listings in the current group

2.59
averageSquareFootage

Average Living Area (Sq.Ft.)
Data type: Number

The average indoor living area of all rental listings in the current group, in square feet

1175
medianSquareFootage

Median Living Area (Sq.Ft.)
Data type: Number

The median indoor living area of all rental listings in the current group, in square feet

1100
minSquareFootage

Minimum Living Area (Sq.Ft.)
Data type: Number

The minimum indoor living area of all rental listings in the current group, in square feet

590
maxSquareFootage

Maximum Living Area (Sq.Ft.)
Data type: Number

The maximum indoor living area of all rental listings in the current group, in square feet

2100
averageDaysOnMarket

Average Days on Market
Data type: Number

The average number of days rental listings in the current group have been active

25
medianDaysOnMarket

Median Days on Market
Data type: Number

The median number of days rental listings in the current group have been active

8
minDaysOnMarket

Minimum Days on Market
Data type: Number

The minimum number of days rental listings in the current group have been active

1
maxDaysOnMarket

Maximum Days on Market
Data type: Number

The maximum number of days rental listings in the current group have been active

304
newListings

Number of New Listings
Data type: Number

The number of active rental listings in the current group that have been added in a given month

18
totalListings

Number of Total Listings
Data type: Number

The total number of rental listings in the current group that have been active at any point in a given month

76